Skip to main content
GET
/
v1
/
campaigns
/
{campaign_id}
Get campaign
curl --request GET \
  --url https://api-sandbox.y.uno/v1/campaigns/{campaign_id} \
  --header 'account-code: <api-key>' \
  --header 'private-secret-key: <api-key>' \
  --header 'public-api-key: <api-key>'
{
  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "name": "<string>",
  "description": "<string>",
  "status": "ACTIVE",
  "start_date": "2023-11-07T05:31:56Z",
  "end_date": "2023-11-07T05:31:56Z",
  "country": "<string>",
  "created_at": "2023-11-07T05:31:56Z",
  "updated_at": "2023-11-07T05:31:56Z"
}
Retrieves a single campaign by ID, including its rules.

Authorizations

public-api-key
string
header
required

Your public API key from the Yuno Dashboard

private-secret-key
string
header
required

Your private secret key (server-side only)

account-code
string
header
required

Your account identifier. The alias X-Account-Code is also accepted.

Path Parameters

campaign_id
string<uuid>
required

The unique identifier of the campaign

Response

Campaign details

id
string<uuid>
name
string
description
string
status
enum<string>
Available options:
ACTIVE,
INACTIVE,
DRAFT,
EXPIRED
start_date
string<date-time>
end_date
string<date-time>
country
string
created_at
string<date-time>
updated_at
string<date-time>